## ncdt 1.5

=== Makefile ===
# NcdT -- directory tree printer with extended capabilities
# (C) 1999 by Pawel Wiecek <coven@vmh.net>
# See Copying file for licence.

CC=gcc
COPT=-O3 -Wall -pipe
LOPT=
OBJS=ncdt.o ncdt_mp3.o util.o
DEPS=ncdt.h

all: ncdt

ncdt: $(OBJS)
	$(CC) -o $@ $(OBJS) $(LOPT)
	strip $@

$(OBJS): $(DEPS)

.c.o:
	$(CC) -c $< $(COPT)

clean:
	-rm ncdt $(OBJS)

.PHONY: clean

## ncdt 2.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # NcdT -- directory tree printer with extended capabilities
-# (C) 1999 by Pawel Wiecek <coven@vmh.net>
+# (C) 1999-2001 by Pawel Wiecek <coven@vmh.net>
 # See Copying file for licence.
 
 CC=gcc

=== debian/changelog ===
ncdt (2.1-7) unstable; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa. 
  * debian/tests/control: Create autopkgtest.

 -- Lauro Matos dos Santos Silva <lauromatos@hotmail.com>  Mon, 10 Jun 2024 11:03:39 -0300

ncdt (2.1-6) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Adjusted d/rules to include CPPFLAGS and LDFLAGS for hardened build.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 04 May 2024 16:25:32 +0200

ncdt (2.1-5) unstable; urgency=medium

  * QA upload.
  * Change to dh sequencer.
    - This includes target build-arch and build-indep. Closes: #999253
    - Pass default Debian CFLAGS to compiler.
  * d/copyright: Update to be DEP5 compliant.
  * Update source format to 3.0 (quilt).
  * Drop d/compat.
  * Bump debhelper to 13.
  * Remove trailing whitespace in d/changelog.
  * Document Rules-Requires-Root
  * Patch to add 'strip' target in makefile. Closes: #437605
  * New patch: Add stdlib.h as header, needed for exit function.
  * Update Standards-Version to 4.6.0.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 18 Dec 2021 11:22:55 +0100

ncdt (2.1-4) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #840051)
  * Ack for previous NMU. Thanks to Joao Eriberto Mota Filho. (Closes: #800275)
  * Migrated DH level to 10.
  */debian/control:
      - Bumped Standards-Version to 4.0.0.

 -- Daniele Adriana Goulart Lopes <danydrik@yahoo.com.br>  Mon, 04 Sep 2017 14:26:26 -0300

ncdt (2.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Migrated DH level to 9 to avoid a FTBFS. (Closes: #800275)
  * debian/compat: added.
  * debian/control:
     - Added the ${misc:Depends} variable to provide the
       right install dependencies.
     - Bumped Standards-Version to 3.9.6.
  * debian/rules: removed the DH_COMPAT variable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 26 Dec 2015 03:22:31 -0200

ncdt (2.1-3) unstable; urgency=low

  * Fixed copyright file (closes: #302972)

 -- Pawel Wiecek <coven@debian.org>  Tue, 17 May 2005 23:00:51 +0200

ncdt (2.1-2) unstable; urgency=low

  * Manpage was missing in 2.1-1 (dh_installman in *NOT* intuitive)

 -- Pawel Wiecek <coven@debian.org>  Tue, 22 May 2001 15:26:00 +0200

ncdt (2.1-1) unstable; urgency=low

  * New upstream release
  * Fixes a bug in MP3 code

 -- Pawel Wiecek <coven@debian.org>  Tue, 15 May 2001 12:51:08 +0200

ncdt (2.0-1) unstable; urgency=low

  * New upstream release
  * Fixes a bug in MP3 code

 -- Pawel Wiecek <coven@debian.org>  Mon, 16 Apr 2001 18:23:58 +0200

ncdt (1.5-2) unstable; urgency=low

  * Rebuilt against new libc
  * Switched to debhelper

 -- Pawel Wiecek <coven@debian.org>  Thu,  8 Mar 2001 14:36:44 +0100

ncdt (1.5-1) unstable; urgency=low

  * New upstream release (fixes bug #40903)

 -- Pawel Wiecek <coven@debian.org>  Wed, 27 Oct 1999 01:07:24 +0200

ncdt (1.4-1) unstable; urgency=low

  * Initial Release.

 -- Pawel Wiecek <coven@debian.org>  Sun, 27 Jun 1999 16:23:54 +0200

=== debian/control ===
Source: ncdt
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/ncdt
Vcs-Git: https://salsa.debian.org/debian/ncdt.git

Package: ncdt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Display directory tree
 NcdT displays directory tree, much like standard tree(1), but with few
 improvements:
  - it prints summary info instead of directory special file size
  - it prints MP3 file info
 It's particularly useful for indexing CDs.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- COPT="$(CFLAGS) $(CPPFLAGS)" LOPT="$(LDFLAGS)"

execute_after_dh_auto_install:
	install ncdt debian/ncdt/usr/bin

# Package does not contain tests.
override_dh_auto_test:

override_dh_installman:
	dh_installman ncdt.1

=== debian/tests/control ===
Test-Command: ncdt /etc | grep -w debian_version
Restrictions: superficial
